DRUO
Get started
Acquirer Transactions

Initiate Transaction

POSThttps://api.druo.com/transactions/initiate

Initiates a new transaction.

Creates a payment or transfer transaction between an origin account and a destination account. Requires Bearer Token authorization to authenticate the client.

Request body

custom_idstringoptional

The custom identifier for this transaction.

typestringRequired

The transaction type (e.g., PAYMENT).

tenant_idstringoptional

The ID of the Tenant that originated the transaction.

origin_accountobjectRequired

The transaction's origin account details.

origin_account.uuidstringoptional

The ID of the account used to fund this transaction.

origin_account.tokenstringoptional

Token identifier.

The UUID of the Institution where the Connected Account is registered. Required if uuid and token are not provided.

The account's number. Required if uuid and token are not provided.

The account's routing number, usually indicating where the account was opened.

The UUID of an existing End User to associate with this Transaction. Required if new_end_user_details is not present.

Details of a new end user to create and associate with this transaction.

The type of end user. Whether a company or an individual. Required if new_end_user_details is present.

The user's first name. Required if type = INDIVIDUAL.

The user's last name. Required if type = INDIVIDUAL.

The organization's name.

The user's ID number. Required if local_id_country is COL.

The user's ID type. Required if local_id_country is COL.

The user's citizenship in a 3-letter ISO code. Required if local_id_country is COL.

The user's email address.

The user's phone number details.

The user's phone number's country code.

The user's phone number without the country code.

destination_accountobjectRequired

The transaction's destination account details.

The ID of the account used to fund this transaction.

Token identifier.

The UUID of the Institution where the Connected Account is registered. Required if uuid and token are not provided.

The account's number. Required if uuid and token are not provided.

The account's routing number, usually indicating where the account was opened.

The UUID of an existing End User to associate with this Transaction. Required if new_end_user_details is not present.

Details of a new end user to create and associate with this transaction.

The type of end user. Whether a company or an individual. Required if new_end_user_details is present.

The user's first name. Required if type = INDIVIDUAL.

The user's last name. Required if type = INDIVIDUAL.

The organization's name.

The user's ID number. Required if local_id_country is COL.

The user's ID type. Required if local_id_country is COL.

The user's citizenship in a 3-letter ISO code. Required if local_id_country is COL.

The user's email address.

The user's phone number details.

The user's phone number's country code.

The user's phone number without the country code.

descriptionstringoptional

The description of this transaction. Users may see this description (e.g., in email receipts DRUO sends on your behalf).

statement_descriptorstringoptional

Description that DRUO will report to institutions so that it appears on your customers' statements. This request may or may not be honored by the institutions. Must contain at least one letter, and be between 4 and 22 characters.

amountintegerRequired

The amount of money, in the smallest denomination of the currency indicated. For example, when currency is USD, the amount is represented in cents ($10.00 USD is 1000).

currencystringRequired

The currency code in ISO 4217 format.

primary_referencestringoptional

An optional primary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.

secondary_referencestringoptional

An optional secondary ID you can associate with the transaction for your own purposes (such as to associate the transaction with an entity ID in your own database). This value cannot exceed 40 characters.

metadataobjectoptional

Set of key-value pairs that you can attach to an object. You can specify up to 50 keys, with key names up to 40 characters long and values up to 500 characters long.

auto_send_receiptbooleanoptional

If true, the system will generate a receipt automatically to the preferred receipt method.

Response

uuidstringoptional

The Transaction's UUID.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The Transaction's code.

Example: TXNMW9PCWE
statusstringoptional

The Transaction's status.

Possible values:PROCESSINGSUCCESSFULFAILEDCANCELEDREVERSED
Example: SUCCESSFUL
typestringoptional

The type of Transaction.

Example: PAYMENT
tenant_idstringoptional

The ID of the tenant that originated this transaction.

Example: ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a
origin_accountobjectoptional

The account details used to fund this transaction.

Example: {"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}
origin_account.uuidstringoptional

The account's UUID.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
destination_accountobjectoptional

The destination account details used in this transaction.

Example: {"uuid":"acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340"}

The destination account's UUID.

Example: acc_7985e8a4-8f38-4eab-8b27-a5d1c6dbf340
total_amountintegeroptional

The total transaction amount, represented in the smallest denomination of the currency (e.g., cents for USD).

Example: 10000
total_feeintegeroptional

The total fee amount charged for this transaction.

Example: 400
net_amountintegeroptional

The total net amount (total_amount minus total_fee) to be paid for this transaction.

Example: 9600
currencyobjectoptional

The currency details for this transaction.

Example: {"code":"USD"}
currency.codestringoptional

The 3-letter ISO 4217 code of the currency.

Example: USD
descriptionstringoptional

The description of this transaction.

Example: Insurance policy renewal - INV12324
statement_descriptorstringoptional

Description that DRUO will report to institutions so that it appears on your customers' statements.

Example: NOVO BILLING* INV12324
primary_referencestringoptional

An optional primary ID associated with the transaction for your own purposes.

Example: ABC123
secondary_referencestringoptional

An optional secondary ID associated with the transaction for your own purposes.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

Key-value pairs attached to the transaction.

Example: {"order_id":"6735"}
auto_send_receiptbooleanoptional

If true, the system will automatically generate a receipt and send it to the preferred receipt method.

Example: TRUE
date_created_gmtstringoptional

The date and time the transaction was created (GMT).

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The date and time the transaction was last updated (GMT).

Example: 2021-11-15T23:23:38
NextPOSTAuthorize Transaction